Author Topic: upgrade error  (Read 288 times)

Offline themrsweb

  • Newbie
  • *
  • Posts: 32
  • Karma: +1/-0
    • View Profile
upgrade error
« on: August 09, 2018, 01:38:46 PM »
received error after upgrade to current version

Sorry, but error occurred during installation:
OK: {"ret_code":50}
Name   Info
8192::DEPRECATED
mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /home/public_html/install/model/install.php on line 25

need help figuring out the error i do not know what deprecated in this error code means even to look it up in the myadmin area

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 3825
  • Karma: +185/-0
    • View Profile
Re: upgrade error
« Reply #1 on: August 10, 2018, 12:22:08 AM »
Hello.
In your system/config.php file change database driver to amysqli
“Chuck Norris is so amazing.”
― Mother Teresa

Offline themrsweb

  • Newbie
  • *
  • Posts: 32
  • Karma: +1/-0
    • View Profile
Re: upgrade error
« Reply #2 on: August 10, 2018, 12:07:10 PM »
i cant see where to do that because the page is blank

Offline eCommerce Core

  • Administrator
  • Hero Member
  • *****
  • Posts: 1596
  • Karma: +92/-1
    • View Profile
Re: upgrade error
« Reply #3 on: August 10, 2018, 04:33:08 PM »
i cant see where to do that because the page is blank
This is not done online. You need to open ../system/config.php file on your server with SFTP or hosting file manager.
“If you’re in the luckiest one per cent of humanity, you owe it to the rest of humanity to think about the other 99 per cent.”
― Warren Buffett

Offline themrsweb

  • Newbie
  • *
  • Posts: 32
  • Karma: +1/-0
    • View Profile
Re: upgrade error
« Reply #4 on: August 14, 2018, 11:28:29 AM »
do you ftp file manager program? or my back end to my website where files are stored.

that file is what i have for the config file in use